Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2843683002: Reuse File objects in FileTransferController. (Closed)

Created:
2 years, 6 months ago by tetsui2
Modified:
2 years, 6 months ago
Reviewers:
fukino
CC:
chromium-reviews, oka+watch_chromium.org, rginda+watch_chromium.org, mtomasz+watch_chromium.org, yamaguchi+watch_chromium.org, fukino+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Reuse File objects in FileTransferController. FileEntry.file is slow operation internally queries file metadata. However, FileTransferController calls FileEntry.file for all the selected files each time CHANGE_THROTTLED event is fired. CHANGE_THROTTLED is fired every time a file is copied during multi file copy. In some slow storage devices which do not support parallel requests such as MTP connected ones, this severely slows down file copy. BUG=712121 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2843683002 Cr-Commit-Position: refs/heads/master@{#467270} Committed: https://chromium.googlesource.com/chromium/src/+/3cba6ce1c4b98fb56f02556984813be8697b7729

Patch Set 1 #

Total comments: 4

Patch Set 2 : Remove file objects if not in the selection. #

Patch Set 3 : Fix error. #

Total comments: 2

Patch Set 4 : Move file object deletion to the throttled. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -6 lines) Patch
M ui/file_manager/file_manager/foreground/js/file_transfer_controller.js View 1 2 3 2 chunks +18 lines, -6 lines 0 comments Download

Messages

Total messages: 23 (13 generated)
tetsui2
Please take a look.
2 years, 6 months ago (2017-04-25 08:07:03 UTC) #7
fukino
Thanks! https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js File ui/file_manager/file_manager/foreground/js/file_transfer_controller.js (left): https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js#oldcode1264 ui/file_manager/file_manager/foreground/js/file_transfer_controller.js:1264: this.selectedAsyncData_ = {}; We should clear objects in ...
2 years, 6 months ago (2017-04-26 03:11:34 UTC) #8
tetsui2
https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js File ui/file_manager/file_manager/foreground/js/file_transfer_controller.js (left): https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js#oldcode1264 ui/file_manager/file_manager/foreground/js/file_transfer_controller.js:1264: this.selectedAsyncData_ = {}; On 2017/04/26 03:11:33, fukino wrote: > ...
2 years, 6 months ago (2017-04-26 03:37:04 UTC) #9
fukino
https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js File ui/file_manager/file_manager/foreground/js/file_transfer_controller.js (left): https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js#oldcode1264 ui/file_manager/file_manager/foreground/js/file_transfer_controller.js:1264: this.selectedAsyncData_ = {}; On 2017/04/26 03:37:04, tetsui wrote: > ...
2 years, 6 months ago (2017-04-26 03:49:17 UTC) #10
tetsui2
https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js File ui/file_manager/file_manager/foreground/js/file_transfer_controller.js (left): https://codereview.chromium.org/2843683002/diff/1/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js#oldcode1264 ui/file_manager/file_manager/foreground/js/file_transfer_controller.js:1264: this.selectedAsyncData_ = {}; On 2017/04/26 03:49:17, fukino wrote: > ...
2 years, 6 months ago (2017-04-26 06:47:42 UTC) #11
fukino
https://codereview.chromium.org/2843683002/diff/40001/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js File ui/file_manager/file_manager/foreground/js/file_transfer_controller.js (right): https://codereview.chromium.org/2843683002/diff/40001/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js#newcode1264 ui/file_manager/file_manager/foreground/js/file_transfer_controller.js:1264: // Remove file objects that are no longer in ...
2 years, 6 months ago (2017-04-26 07:14:31 UTC) #14
tetsui2
https://codereview.chromium.org/2843683002/diff/40001/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js File ui/file_manager/file_manager/foreground/js/file_transfer_controller.js (right): https://codereview.chromium.org/2843683002/diff/40001/ui/file_manager/file_manager/foreground/js/file_transfer_controller.js#newcode1264 ui/file_manager/file_manager/foreground/js/file_transfer_controller.js:1264: // Remove file objects that are no longer in ...
2 years, 6 months ago (2017-04-26 07:42:31 UTC) #17
fukino
lgtm. Thanks!
2 years, 6 months ago (2017-04-26 07:47:06 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2843683002/30002
2 years, 6 months ago (2017-04-26 07:47:53 UTC) #20
commit-bot: I haz the power
2 years, 6 months ago (2017-04-26 08:38:24 UTC) #23
Message was sent while issue was closed.
Committed patchset #4 (id:30002) as
https://chromium.googlesource.com/chromium/src/+/3cba6ce1c4b98fb56f0255698481...

Powered by Google App Engine
This is Rietveld 408576698